# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Config:
  - name: order_creation_test_mode
    category: XC\Turn14
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 100
    translations: [{code: en, option_name: 'Order creation test mode'}]
    module: XC\Turn14

  - name: catalog_import_test_mode
    category: XC\Turn14
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 150
    translations: [{code: en, option_name: 'Catalog import test mode'}]
    module: XC\Turn14

  - name: free_shipping_threshold
    category: XC\Turn14
    type: XLite\View\FormField\Input\Text\Price
    orderby: 50
    translations: [{code: en, option_name: 'Free shipping on orders over'}]
    module: XC\Turn14

XLite\Model\LanguageLabel:
  - {name: '[xc_turn14] Turn14', translations: [{code: en, label: 'Turn14'}]}
  - {name: '[xc_turn14] Turn14 trial mode notice', translations: [{code: en, label: 'Turn14 integration is in trial mode and allows importing no more than {{limit}} products for each brand.'}]}
  - {name: '[xc_turn14] Info tooltip (brand not authorized)', translations: [{code: en, label: 'You are not allowed to import products from this brand.'}]}
  - {name: '[xc_turn14] Client ID', translations: [{code: en, label: 'Client ID'}]}
  - {name: '[xc_turn14] Client Secret', translations: [{code: en, label: 'Client Secret'}]}
  - {name: '[xc_turn14] API Credentials help', translations: [{code: en, label: 'Enter your information, and save the changes. If you don’t have these, check out <a target="_blank" href="https://www.turn14.com/api_settings.php">Settings & Data → API</a> in your Turn14 account.'}]}
  - {name: '[xc_turn14] Brands data import in progress', translations: [{code: en, label: 'Brands data import in progress'}]}
  - {name: '[xc_turn14] Brands data import is started', translations: [{code: en, label: 'Brands data import is started'}]}
  - {name: '[xc_turn14] Brands data import completed', translations: [{code: en, label: 'Brands data import completed'}]}
  - {name: '[xc_turn14] Failed to import brands. {{errorMessage}}', translations: [{code: en, label: 'Failed to import brands. {{errorMessage}}'}]}
  - {name: '[xc_turn14] Please select the brand attribute', translations: [{code: en, label: 'Please select the brand attribute on the <a href="{{link}}">Brands module settings</a> page'}]}
  - {name: '[xc_turn14] Use Turn14 stock', translations: [{code: en, label: 'Use Turn14 stock'}]}
  - {name: '[xc_turn14] Turn14 stock all warehouses', translations: [{code: en, label: 'Turn14 stock (all warehouses)'}]}
  - {name: '[xc_turn14] Name quantity in stock default', translations: [{code: en, label: '{{Name}} (default)'}]}
  - {name: '[xc_turn14] X quantity in stock items', translations: [{code: en, label: '{{X}} item(s)'}]}
  - {name: '[xc_turn14] Turn14 location owner name', translations: [{code: en, label: 'Turn 14'}]}
  - {name: '[xc_turn14] Available for backorder', translations: [{code: en, label: 'Available for backorder'}]}
  - {name: '[xc_turn14] Bad Turn14 create order from quote message (admin)', translations: [{code: en, label: 'Turn14 order creation failed. See logs for more details.'}]}
  - {name: '[xc_turn14] Error message returned by Turn14', translations: [{code: en, label: 'Error message returned by Turn14'}]}
  - {name: '[xc_turn14] Order creation test mode', translations: [{code: en, label: 'Order creation test mode'}]}
  - {name: '[xc_turn14] Catalog import test mode', translations: [{code: en, label: 'Catalog import test mode'}]}
  - {name: '[xc_turn14] action settings enter your credentials', translations: [{code: en, label: 'enter your credentials'}]}
  - {name: '[xc_turn14] Turn14 Stock', translations: [{ code: en, label: 'Turn14 Stock' }]}
  - {name: '[xc_turn14] Free shipping on orders over', translations: [{code: en, label: 'Free shipping on orders over'}]}
  - {name: '[xc_turn14] Free shipping on orders over help', translations: [{code: en, label: 'Specify any positive amount to enable free shipping option'}]}
  - {name: '[xc_turn14] Free shipping', translations: [{code: en, label: 'Free shipping'}]}
  - {name: '[xc_turn14] settings action generate token', translations: [{code: en, label: 'generate token'}]}
  - {name: '[xc_turn14] Reached maximum request limit', translations: [{code: en, label: 'Reached maximum request limit'}]}

XLite\Model\Task:
  - owner: XC\Turn14\Core\Task\GetTurn14TrackingNumbersTask

XLite\Model\Order\Modifier:
  - class: XC\Turn14\Logic\Order\Modifier\FreeShipping
    weight: 60
